Package org.jfree.layouting.input.style

## Class StyleKeyRegistry

- java.lang.Object
- - org.jfree.layouting.input.style.StyleKeyRegistry

-     public class StyleKeyRegistry
      extends java.lang.Object

  This class should not be static, or we might create a memory leak.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StyleKey` | `createKey​(java.lang.String name, boolean trans, boolean inherited, int validity)` |
    `StyleKey` | `findKeyByName​(java.lang.String name)` |
    `int` | `getIndexForKey​(StyleKey key)` |
    `int` | `getKeyCount​()` |
    `StyleKey[]` | `getKeys​()` |
    `StyleKey[]` | `getKeys​(StyleKey[] input)` |
    `static StyleKeyRegistry` | `getRegistry​()` |
    `void` | `registerClass​(java.lang.Class c)` |
    `void` | `registerDefaults​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRegistry

          public static StyleKeyRegistry getRegistry​()

    - #### findKeyByName

          public StyleKey findKeyByName​(java.lang.String name)

    - #### getIndexForKey

          public int getIndexForKey​(StyleKey key)

    - #### getKeyCount

          public int getKeyCount​()

    - #### registerDefaults

          public void registerDefaults​()

    - #### registerClass

          public void registerClass​(java.lang.Class c)

    - #### createKey

          public StyleKey createKey​(java.lang.String name,
                                    boolean trans,
                                    boolean inherited,
                                    int validity)

    - #### getKeys

          public StyleKey[] getKeys​()

    - #### getKeys

          public StyleKey[] getKeys​(StyleKey[] input)